<!-- This example requires Tailwind CSS v2.0+ -->
<template>
  <router-link
  :to="{
    name:'movie-details',
    params:{ movie_id: movieId }
  }"
  
   class="flex cursor-pointer font-sans rounded-md w-auto ring-1 ring-slate-900/5 bg-gray-light hover:ring-gray-800 ">
    <div class="flex-none w-32 relative">
 <img
      v-if="!posterUrl"
        src="../../assets/blank_poster.png"
        alt=""
        class="absolute inset-0  h-full object-fill rounded-l-md pb-2 contrast-50"
        loading="lazy"
      />      <img
      v-else
        :src="posterBaseUrl + posterUrl"
        alt=""
        class="absolute inset-0 w-full h-full object-cover rounded-l-md"
        loading="lazy"
      />
    </div>
    <form class="flex-auto w-2/3 p-4">
      <div>
        <h1 class=" h-24 movie-title">
          {{ title }}
        </h1>
      </div>

      
      <div class="text-sm flex text-slate-700">
        <svg
          focusable="false"
          class="w-4 h-4"
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 448 512"
        >
          <path
            fill="currentColor"
            d="M400 64h-48V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H160V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H48C21.5 64 0 85.5 0 112v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V112c0-26.5-21.5-48-48-48zm-6 400H54c-3.3 0-6-2.7-6-6V160h352v298c0 3.3-2.7 6-6 6z"
          ></path>
        </svg>
        <span class="ml-2 movie-smal-font">{{ releaseDate }}</span>
      </div>
      <div class=" movie-smal-font w-full mt-5 ">
        <template v-for="(genere, index) in movieGeneres" :key="index">
            <span class="ml-1 mr-1" v-if="index>0 && index<movieGeneres.length">&#9679;</span>
          {{ genere.name }}
          
        </template>
      </div>
    </form>
  </router-link>
</template>

<script>
// import MovieDataService from "../../services/MovieDataService";

export default {
  components: {},
  props: {
    posterUrl: String,
    movieId:Number,
    title: String,
    releaseDate: String,
    movieGeneres: Array,
    allGeneres: Array,
  },
  data() {
    return {
      tutorials: [],
      currentTutorial: null,
      currentIndex: -1,
      //   title: "",
      posterBaseUrl: "https://image.tmdb.org/t/p/w200",
      generes: [],
    };
  },
  methods: {
    getGenereTitleFromGenereId(generes) {
      var movieGenere = [];
      if (this.movieGeneres.length == 0) {
        return;
      }
      generes.forEach((genere) => {
        movieGenere.push(this.allGeneres.filter((item) => item.id == genere));
      });
      this.generes = movieGenere;
    },
  },
};
</script>
